Bug 1411497 - Abrt deletes most crashes even though limits are not reached
Summary: Abrt deletes most crashes even though limits are not reached
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 20:49 UTC by Christian Stadelmann
Modified: 2020-09-01 13:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-01 13:34:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2017-01-09 20:49:46 UTC
Description of problem:
See this bug report and discussion: https://lists.fedorahosted.org/archives/list/crash-catcher@lists.fedorahosted.org/thread/VKEBQNKWSLMAWNP5KVUCZPVFTB4ZAAJ4/

Lately, I'm seeing a weird behavior of abrt happening over and over again: Although I have just a few (say, 4) smaller crashes (not WebKit or Firefox), which take up little space on my disk, when a new crash happens, some or even all crashes are deleted. abrtd then reports to syslog: abrtd[896]: Size of '/var/spool/abrt' >= 25000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2016-12-… This way, I never get more than 6 crashes listed by gnome-abrt or abrt-cli. Sometimes, abrt even deletes all my crash directories, including small python backtraces with just a few megabytes. I don't understand why this happens. Can you please tell me? Is this a bug? After the last crash happened (firefox, https://bugzilla.redhat.com/show_bug.cgi?id=1404439), all crashes were deleted. This is the filesystem state of abrt directories after that crash: /var/cache/abrt-di is 800 MB although there is no crash present any more. /var/spool/abrt-upload is empty. /var/spool/abrt and /var/lib/abrt and /var/run/abrt just contain some very small files. This is all abrt-related stuff in my syslog from last boot, where abrt deleted all my crashes (19:25:58): https://gist.github.com/anonymous/348e3101aa18c5f0d862f8396a3f97f0 I already tried to purge/delete all the files listed above and reinstall all of abrt, but there is no change, the issue doesn't go away. 

Version-Release number of selected component (if applicable):
abrt-2.9.0-1.fc25.x86_64
libreport-2.8.0-1.fc25.x86_64

How reproducible:
randomly

Steps to Reproduce:
1. have any crasher
2. have a look at gnome-abrt

Actual results:
some crashes in gnome-abrt get deleted although my disk is not full and the crash reports size limit is not reached.

Expected results:
Don't delete crash reports for no reason.

Additional info:
I have 116 GiB of free disk space, that's more than 4*MaxCrashReportsSize. MaxCrashReportsSize is 25000 MiB. All crashes never take up more than 2 GiB on my disk before ABRT starts deleting them. When ABRT starts deleting bugs, it often deletes all of them or all but one even though the last remaining crash just takes ~16 MiB on my disk.

Comment 1 Christian Stadelmann 2017-05-25 20:54:50 UTC
Still present. I sometimes don't even get to report a bug because abrt claims a limit is reached.

Comment 2 Fedora End Of Life 2018-05-03 08:11:35 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-02 19:18:58 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-02 20:46:57 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Christian Stadelmann 2019-05-04 23:19:17 UTC
Still seeing this on Fedora 29 very often.

Comment 6 Ben Cotton 2019-10-31 19:23:40 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-11-27 22:27:35 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Christian Stadelmann 2019-12-05 19:54:27 UTC
Still present.

Comment 9 Miroslav Suchý 2020-08-11 13:19:19 UTC
MaxCrashReportsSize is related to size of `/var/spool/abrt/`

Does this still happens to you. I am asking because last year we fixed a lot of issues regarding MaxCrashReportsSize and purging that directory when it is full.

Comment 10 Miroslav Suchý 2020-09-01 13:34:41 UTC
Closing. Please reopen if it happens to you.


Note You need to log in before you can comment on or make changes to this bug.